## org.apache.commons.collections.iterators
Class AbstractListIteratorDecorator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractListIteratorDecorator

All Implemented Interfaces:
  Iterator, ListIterator

Direct Known Subclasses:
  PredicatedList.PredicatedListIterator, TransformedList.TransformedListIterator

public class AbstractListIteratorDecorator
extends Object
implements ListIterator

Provides basic behaviour for decorating a list iterator with extra functionality.

All methods are forwarded to the decorated list iterator.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 00:59:50 $
Author:
  Rodney Waldhoff, Stephen Colebourne

Field Summary
`protected ListIterator` `iterator` The iterator being decorated

Constructor Summary
`AbstractListIteratorDecorator(ListIterator iterator)` Constructor that decorates the specified iterator.

Method Summary
`void` `add(Object obj)`
`protected ListIterator` `getListIterator()` Gets the iterator being decorated.
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`Object` `next()`
`int` `nextIndex()`
`Object` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `set(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected final ListIterator iterator

  The iterator being decorated

Constructor Detail

### AbstractListIteratorDecorator

    public AbstractListIteratorDecorator(ListIterator iterator)

  Constructor that decorates the specified iterator.

Parameters:
  `iterator` - the iterator to decorate, must not be null
Throws:
  `IllegalArgumentException` - if the collection is null

Method Detail

### getListIterator

    protected ListIterator getListIterator()

  Gets the iterator being decorated.

  Returns:
    the decorated iterator

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ListIterator`

### set

    public void set(Object obj)

  Specified by:
    `set` in interface `ListIterator`

### add

    public void add(Object obj)

  Specified by:
    `add` in interface `ListIterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.